Index: main/waeup.kofa/trunk/src/waeup/kofa/hostels/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/hostels/browser.py	(revision 7811)
+++ main/waeup.kofa/trunk/src/waeup/kofa/hostels/browser.py	(revision 7819)
@@ -23,5 +23,5 @@
 from zope.component import getUtility
 from waeup.kofa.browser import (
-    KOFAEditFormPage, KOFAAddFormPage, KOFADisplayFormPage,
+    KofaEditFormPage, KofaAddFormPage, KofaDisplayFormPage,
     NullValidator)
 from waeup.kofa.browser.breadcrumbs import Breadcrumb
@@ -32,5 +32,5 @@
     ManageActionButton, PrimaryNavTab)
 from waeup.kofa.browser.layout import jsaction, action
-from waeup.kofa.interfaces import IKOFAObject, IKOFAUtils
+from waeup.kofa.interfaces import IKofaObject, IKofaUtils
 from waeup.kofa.interfaces import MessageFactory as _
 from waeup.kofa.hostels.vocabularies import NOT_OCCUPIED
@@ -61,5 +61,5 @@
     """
 
-    grok.context(IKOFAObject)
+    grok.context(IKofaObject)
     grok.order(5)
     grok.require('waeup.viewHostels')
@@ -96,5 +96,5 @@
             mapping = {'a':co[1], 'b':co[2], 'c':co[3]})
 
-class HostelsContainerPage(KOFADisplayFormPage):
+class HostelsContainerPage(KofaDisplayFormPage):
     """The standard view for hostels containers.
     """
@@ -113,5 +113,5 @@
     text = _('Manage accommodation section')
 
-class HostelsContainerManagePage(KOFADisplayFormPage):
+class HostelsContainerManagePage(KofaDisplayFormPage):
     """The manage page for hostel containers.
     """
@@ -148,5 +148,5 @@
         return
 
-class HostelAddFormPage(KOFAAddFormPage):
+class HostelAddFormPage(KofaAddFormPage):
     """Add-form to add a hostel.
     """
@@ -175,5 +175,5 @@
         return
 
-class HostelDisplayFormPage(KOFADisplayFormPage):
+class HostelDisplayFormPage(KofaDisplayFormPage):
     """ Page to display hostel data
     """
@@ -196,5 +196,5 @@
     target = 'manage'
 
-class HostelManageFormPage(KOFAEditFormPage):
+class HostelManageFormPage(KofaEditFormPage):
     """ View to edit hostel data
     """
@@ -261,5 +261,5 @@
         switched = [] # for log file
         switched_translated = [] # for flash message
-        portal_language = getUtility(IKOFAUtils).PORTAL_LANGUAGE
+        portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
         preferred_language = self.request.cookies.get(
             'kofa.language', portal_language)
@@ -306,5 +306,5 @@
         return
 
-class BedManageFormPage(KOFAEditFormPage):
+class BedManageFormPage(KofaEditFormPage):
     """ View to edit bed data
     """
Index: main/waeup.kofa/trunk/src/waeup/kofa/hostels/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/hostels/interfaces.py	(revision 7811)
+++ main/waeup.kofa/trunk/src/waeup/kofa/hostels/interfaces.py	(revision 7819)
@@ -18,15 +18,15 @@
 from zope.interface import invariant, Invalid
 from zope import schema
-from waeup.kofa.interfaces import IKOFAObject
+from waeup.kofa.interfaces import IKofaObject
 from waeup.kofa.interfaces import MessageFactory as _
 from waeup.kofa.hostels.vocabularies import (
     bed_letters, blocks, special_handling, StudentSource)
 
-class IHostelsContainer(IKOFAObject):
+class IHostelsContainer(IKofaObject):
     """A container for all kind of hostel objects.
 
     """
 
-class IHostel(IKOFAObject):
+class IHostel(IKofaObject):
     """A base representation of hostels.
 
@@ -146,5 +146,5 @@
             raise Invalid(_('Bed categories overlap.'))
 
-class IBed(IKOFAObject):
+class IBed(IKofaObject):
     """A base representation of beds.
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/hostels/vocabularies.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/hostels/vocabularies.py	(revision 7811)
+++ main/waeup.kofa/trunk/src/waeup/kofa/hostels/vocabularies.py	(revision 7819)
@@ -22,5 +22,5 @@
 from zope.catalog.interfaces import ICatalog
 from zc.sourcefactory.contextual import BasicContextualSourceFactory
-from waeup.kofa.interfaces import SimpleKOFAVocabulary
+from waeup.kofa.interfaces import SimpleKofaVocabulary
 from waeup.kofa.interfaces import MessageFactory as _
 
@@ -54,5 +54,5 @@
         return "%s - %s" % (value, self.acco_students(context)[value])
 
-bed_letters = SimpleKOFAVocabulary(
+bed_letters = SimpleKofaVocabulary(
     (_('Bed A'),'A'),
     (_('Bed B'),'B'),
@@ -66,5 +66,5 @@
     )
 
-blocks = SimpleKOFAVocabulary(
+blocks = SimpleKofaVocabulary(
     (_('Block A'),'A'),
     (_('Block B'),'B'),
@@ -84,5 +84,5 @@
     )
 
-special_handling = SimpleKOFAVocabulary(
+special_handling = SimpleKofaVocabulary(
     (_('Regular Hostel'),'regular'),
     (_('Blocked Hostel'),'blocked'),
